Page MenuHomePhabricator

Move `html` and `body` normalizations out of reset.less
Closed, ResolvedPublic

Description

reset.less currently carries

html, body, div, span,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, ins, em, img,
small, strike, strong, sub, sup, tt,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
input, button, select,
audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font: inherit;
	font-size: 100%;
	vertical-align: baseline;
	background: none;
}

We should move html and body out of that file as there are already base.styles/ui.less and content.styles/main.less where normalization belongs…

Event Timeline

Volker_E created this task.Mar 5 2019, 3:21 AM

Change 494406 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Move html and body styles to ui.less

https://gerrit.wikimedia.org/r/494406

ovasileva triaged this task as Normal priority.Mar 6 2019, 9:24 AM

Change 494406 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Move html and body styles to 'ui.less'

https://gerrit.wikimedia.org/r/494406

This should be a no-op (ie. doesn't change any existing behaviour) but moving to sign off, just so we're aware in standup this has been merged. I'll resolve when that's been acknowledged!

Jdlrobson closed this task as Resolved.Mar 7 2019, 6:06 PM
Jdlrobson claimed this task.

mentioned this in standup today.

matmarex removed a subscriber: matmarex.Mar 7 2019, 7:49 PM